Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS

From: Philipp Stephani <[email-masked]>
Date: Tue, 06 Feb 2018 00:26:04 +0000

Paul Eggert <[email-masked]> schrieb am Di., 6. Feb. 2018 um 00:56 Uhr:

> On 02/05/2018 11:18 AM, Alan Third wrote:
> >
> > Yes, it fixes the problem here.
> >
> > Is this a known issue with macOS?
>
> It's news to me and it's not listed in the Gnulib portability gotcha list.
>
> What happens if you run the attached program on macOS? It creates a file
> "file" and then tries to access it as a directory, which should not work.
>
>
It succeeds and prints nothing (i.e. the error is ENOTDIR in all cases).
So this is even more mysterious than I thought.